﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using GridInForm.Models;

namespace GridInForm.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {

        
            return View(new Order
                {
                    Customer = "Bikes and Blades",
                    Products = new List<Product> {
                        new Product
                        {
                            Name = "Product 1"
                        }
                    }
                });
        }

        public ActionResult Save(Order order)
        {
            return View(order);
        }

        public ActionResult GetCascadeCategories() {
            var result =  Json( new List<Category> {
                new Category{CategoryID = 1, CatName = "Cat1"},
                new Category{CategoryID = 2, CatName = "Cat2"},
                new Category{CategoryID = 3, CatName = "Cat3"},
            });

            result.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
            return result;
        }

        public ActionResult GetCascadeProducts(int categoryID) {
            var result = Json(new List<Product> {
                new Product{ProductID = categoryID, Name = "Products for category " + categoryID},
                new Product{ProductID = 10, Name = "Product1"},
                new Product{ProductID = 20, Name = "Product2"},
                new Product{ProductID = 30, Name = "Product3"},
                new Product{ProductID = 40, Name = "Product4"}
            });

            result.JsonRequestBehavior = JsonRequestBehavior.AllowGet;
            return result;
        }
    }
}
